Create a Post
cancel
Showing results for 
Search instead for 
Did you mean: 
Jorge_Chavez
Participant

pre_upgrade_verifier from r80.10 to r80.40

can someone help me with configuration?

I'm trying to do pre-verification check from r80.10 to r80.40 and don't think i'm doing it properly

when i issued command

i don't know what to put in for -p "SecurityManagementPath"

for current version, R80.10 is not listed as an option

pre_upgrade_verifier -p SecurityManagementPath -c CurrentVersion -t TargetVersion 

cd /<Path to Extracted Migration Tool>/

./pre_upgrade_verifier -h

[Expert@lgsfwm00:0]# ./pre_upgrade_verifier -h

This is Check Point Pre-Upgrade Verifier for version R80.40.

Usage: pre_upgrade_verifier -p SecurityManagementPath -c CurrentVersion -t TargetVersion [-u | -a][-f FileName] [-w]
Or: pre_upgrade_verifier -p SecurityManagementPath -c CurrentVersion -i [-f FileName] [-w]
-p Path of the installed Security Management Server (FWDIR).
-c Currently installed version.
-t Target version.
-i Check originality of Inspect files only.
-u Perform plug-in related checks.
-a Skip main train version checks, perform plug-in related checks only.
-f Output in file.
-w Web format file.

where the Currently installed version is one of the following:
R75.40 (aliases: R75.40_R75.40, 6.0.2.5)
R75.40VS (aliases: R75.40VS_R75.40VS, 6.0.3.0)
R76 (aliases: R76_R76, 6.0.3.5)
R77 (aliases: R77_R77, 6.0.4.0)

where the Target version is one of the following:
R75.40 (aliases: R75.40_R75.40, 6.0.2.5)
R75.40VS (aliases: R75.40VS_R75.40VS, 6.0.3.0)
R76 (aliases: R76_R76, 6.0.3.5)
R77 (aliases: R77_R77, 6.0.4.0)
R80 (aliases: R80_R80, 6.0.4.8)
R80.20 (aliases: R80.20_R80.20, 6.0.4.9)
R80.30 (aliases: R80.30_R80.30, 6.0.5.0)
R80.40 (aliases: R80.40_R80.40, 6.0.5.1)

 

Any help is appreciated.

Thank you

4 Replies
Chris_Atkinson
Employee
Employee

Try as follows:   -p $FWDIR

Jorge_Chavez
Participant

Thank you for your help Chris

R80.10 wasn't an option for current version, so i just used R80

Looks like i'm good to go - no errors

[Expert@lgsfwm00:0]# ./pre_upgrade_verifier -p $FWDIR -c R80.10 -t R80.40

This is Check Point Pre-Upgrade Verifier for version R80.40.

Usage: pre_upgrade_verifier -p SecurityManagementPath -c CurrentVersion -t TargetVersion [-u | -a][-f FileName] [-w]
Or: pre_upgrade_verifier -p SecurityManagementPath -c CurrentVersion -i [-f FileName] [-w]
-p Path of the installed Security Management Server (FWDIR).
-c Currently installed version.
-t Target version.
-i Check originality of Inspect files only.
-u Perform plug-in related checks.
-a Skip main train version checks, perform plug-in related checks only.
-f Output in file.
-w Web format file.

where the Currently installed version is one of the following:
R75.40 (aliases: R75.40_R75.40, 6.0.2.5)
R75.40VS (aliases: R75.40VS_R75.40VS, 6.0.3.0)
R76 (aliases: R76_R76, 6.0.3.5)
R77 (aliases: R77_R77, 6.0.4.0)

where the Target version is one of the following:
R75.40 (aliases: R75.40_R75.40, 6.0.2.5)
R75.40VS (aliases: R75.40VS_R75.40VS, 6.0.3.0)
R76 (aliases: R76_R76, 6.0.3.5)
R77 (aliases: R77_R77, 6.0.4.0)
R80 (aliases: R80_R80, 6.0.4.8)
R80.20 (aliases: R80.20_R80.20, 6.0.4.9)
R80.30 (aliases: R80.30_R80.30, 6.0.5.0)
R80.40 (aliases: R80.40_R80.40, 6.0.5.1)

-c (current version) must be defined according to above list
[Expert@lgsfwm00:0]# ./pre_upgrade_verifier -p $FWDIR -c R80 -t R80.40

KostasGR
Contributor

Ignore previous. It is a supported upgrade path 

Upgrade to R80.40 is available from the following versions: R76R77.x, EP6.0/EP6.1/EP6.2, R77.30.01, R77.30.02, R77.30.03, R77.30 EP6.5, R80R80.10R80.20.M1R80.20R80.20.M2R80.20 3.10, R80.30, and R80.30 3.10

Chris_Atkinson
Employee
Employee

Note this is grouped by "major" version of which R80.10 is a minor version of R80.

0 Kudos